Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 995)
+++ src/mlx/gui/flight.py	(revision 996)
@@ -1958,11 +1958,11 @@
         table.attach(labelAlignment, 1, 2, 1, 2)
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("connect_tailno"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("connect_tailno"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 2, 3)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._tailNumber = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._tailNumber = Gtk.Label()
         self._tailNumber.set_width_chars(10)
         self._tailNumber.set_alignment(0.0, 0.5)
@@ -1970,11 +1970,11 @@
         table.attach(labelAlignment, 1, 2, 2, 3)
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("connect_airport"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("connect_airport"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 3, 4)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._departureICAO = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._departureICAO = Gtk.Label()
         self._departureICAO.set_width_chars(6)
         self._departureICAO.set_alignment(0.0, 0.5)
@@ -1982,11 +1982,11 @@
         table.attach(labelAlignment, 1, 2, 3, 4)
 
-        labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0)
-        label = gtk.Label(xstr("connect_gate"))
+        labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0)
+        label = Gtk.Label(xstr("connect_gate"))
         labelAlignment.add(label)
         table.attach(labelAlignment, 0, 1, 4, 5)
 
-        labelAlignment = gtk.Alignment(xalign=0.0, xscale=0.0)
-        self._departureGate = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0)
+        self._departureGate = Gtk.Label()
         self._departureGate.set_width_chars(5)
         self._departureGate.set_alignment(0.0, 0.5)
@@ -1995,14 +1995,14 @@
 
         if self._selectSimulator:
-            labelAlignment = gtk.Alignment(xalign=1.0, xscale=0.0, yalign=0.5)
-            label = gtk.Label(xstr("connect_sim"))
+            labelAlignment = Gtk.Alignment(xalign=1.0, xscale=0.0, yalign=0.5)
+            label = Gtk.Label(xstr("connect_sim"))
             labelAlignment.add(label)
             table.attach(labelAlignment, 0, 1, 5, 7)
 
-            selectAlignment = gtk.Alignment(xalign=0.0, xscale=0.0, yalign=0.5)
-
-            selectBox = gtk.HBox()
+            selectAlignment = Gtk.Alignment(xalign=0.0, xscale=0.0, yalign=0.5)
+
+            selectBox = Gtk.HBox()
             self._selectMSFS = \
-                gtk.RadioButton.new_with_mnemonic_from_widget(None,
+                Gtk.RadioButton.new_with_mnemonic_from_widget(None,
                                                               xstr("connect_sim_msfs"))
 
@@ -2010,5 +2010,5 @@
 
             self._selectXPlane = \
-                gtk.RadioButton.new_with_mnemonic_from_widget(self._selectMSFS,
+                Gtk.RadioButton.new_with_mnemonic_from_widget(self._selectMSFS,
                                                               xstr("connect_sim_xplane"))
 
@@ -2101,8 +2101,8 @@
                                           completedHelp = xstr("payload_chelp"))
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        table = gtk.Table(7, 3)
+        table = Gtk.Table(7, 3)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -2111,5 +2111,5 @@
         self.setMainWidget(alignment)
 
-        label = gtk.Label(xstr("payload_crew"))
+        label = Gtk.Label(xstr("payload_crew"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -2123,5 +2123,5 @@
         label.set_mnemonic_widget(self._numCrew)
 
-        label = gtk.Label(xstr("payload_pax"))
+        label = Gtk.Label(xstr("payload_pax"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -2135,5 +2135,5 @@
         label.set_mnemonic_widget(self._numPassengers)
 
-        label = gtk.Label(xstr("payload_bag"))
+        label = Gtk.Label(xstr("payload_bag"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -2147,7 +2147,7 @@
         label.set_mnemonic_widget(self._bagWeight)
 
-        table.attach(gtk.Label("kg"), 2, 3, 2, 3)
-
-        label = gtk.Label(xstr("payload_cargo"))
+        table.attach(Gtk.Label("kg"), 2, 3, 2, 3)
+
+        label = Gtk.Label(xstr("payload_cargo"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -2161,7 +2161,7 @@
         label.set_mnemonic_widget(self._cargoWeight)
 
-        table.attach(gtk.Label("kg"), 2, 3, 3, 4)
-
-        label = gtk.Label(xstr("payload_mail"))
+        table.attach(Gtk.Label("kg"), 2, 3, 3, 4)
+
+        label = Gtk.Label(xstr("payload_mail"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -2175,19 +2175,19 @@
         label.set_mnemonic_widget(self._mailWeight)
 
-        table.attach(gtk.Label("kg"), 2, 3, 4, 5)
-
-        label = gtk.Label("<b>" + xstr("payload_zfw") + "</b>")
+        table.attach(Gtk.Label("kg"), 2, 3, 4, 5)
+
+        label = Gtk.Label("<b>" + xstr("payload_zfw") + "</b>")
         label.set_alignment(0.0, 0.5)
         label.set_use_markup(True)
         table.attach(label, 0, 1, 5, 6)
 
-        self._calculatedZFW = gtk.Label()
+        self._calculatedZFW = Gtk.Label()
         self._calculatedZFW.set_width_chars(6)
         self._calculatedZFW.set_alignment(1.0, 0.5)
         table.attach(self._calculatedZFW, 1, 2, 5, 6)
 
-        table.attach(gtk.Label("kg"), 2, 3, 5, 6)
-
-        self._zfwButton = gtk.Button(xstr("payload_fszfw"))
+        table.attach(Gtk.Label("kg"), 2, 3, 5, 6)
+
+        self._zfwButton = Gtk.Button(xstr("payload_fszfw"))
         self._zfwButton.set_use_underline(True)
         self._zfwButton.connect("clicked", self._zfwRequested)
@@ -2195,5 +2195,5 @@
         table.attach(self._zfwButton, 0, 1, 6, 7)
 
-        self._simulatorZFW = gtk.Label("-")
+        self._simulatorZFW = Gtk.Label("-")
         self._simulatorZFW.set_width_chars(6)
         self._simulatorZFW.set_alignment(1.0, 0.5)
@@ -2201,5 +2201,5 @@
         self._simulatorZFWValue = None
 
-        table.attach(gtk.Label("kg"), 2, 3, 6, 7)
+        table.attach(Gtk.Label("kg"), 2, 3, 6, 7)
 
         self.addCancelFlightButton()
@@ -2329,8 +2329,8 @@
                                        completedHelp = xstr("time_chelp"))
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        table = gtk.Table(3, 2)
+        table = Gtk.Table(3, 2)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -2339,21 +2339,21 @@
         self.setMainWidget(alignment)
 
-        label = gtk.Label(xstr("time_departure"))
+        label = Gtk.Label(xstr("time_departure"))
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 0, 1)
 
-        self._departure = gtk.Label()
+        self._departure = Gtk.Label()
         self._departure.set_alignment(0.0, 0.5)
         table.attach(self._departure, 1, 2, 0, 1)
 
-        label = gtk.Label(xstr("time_arrival"))
+        label = Gtk.Label(xstr("time_arrival"))
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 1, 2)
 
-        self._arrival = gtk.Label()
+        self._arrival = Gtk.Label()
         self._arrival.set_alignment(0.0, 0.5)
         table.attach(self._arrival, 1, 2, 1, 2)
 
-        self._timeButton = gtk.Button(xstr("time_fs"))
+        self._timeButton = Gtk.Button(xstr("time_fs"))
         self._timeButton.set_use_underline(True)
         self._timeButton.set_tooltip_text(xstr("time_fs_tooltip"))
@@ -2361,5 +2361,5 @@
         table.attach(self._timeButton, 0, 1, 2, 3)
 
-        self._simulatorTime = gtk.Label("-")
+        self._simulatorTime = Gtk.Label("-")
         self._simulatorTime.set_alignment(0.0, 0.5)
         table.attach(self._simulatorTime, 1, 2, 2, 3)
@@ -2451,18 +2451,18 @@
                                         completedHelp = xstr("route_chelp"))
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        mainBox = gtk.VBox()
+        mainBox = Gtk.VBox()
         alignment.add(mainBox)
         self.setMainWidget(alignment)
 
-        levelBox = gtk.HBox()
-
-        label = gtk.Label(xstr("route_level"))
+        levelBox = Gtk.HBox()
+
+        label = Gtk.Label(xstr("route_level"))
         label.set_use_underline(True)
         levelBox.pack_start(label, True, True, 0)
 
-        self._cruiseLevel = gtk.SpinButton()
+        self._cruiseLevel = Gtk.SpinButton()
         self._cruiseLevel.set_increments(step = 10, page = 100)
         self._cruiseLevel.set_range(min = 0, max = 500)
@@ -2475,5 +2475,5 @@
         levelBox.pack_start(self._cruiseLevel, False, False, 8)
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(levelBox)
@@ -2482,22 +2482,22 @@
 
 
-        routeBox = gtk.VBox()
-
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        routeBox = Gtk.VBox()
+
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
-        label = gtk.Label(xstr("route_route"))
+        label = Gtk.Label(xstr("route_route"))
         label.set_use_underline(True)
         alignment.add(label)
         routeBox.pack_start(alignment, True, True, 0)
 
-        routeWindow = gtk.ScrolledWindow()
+        routeWindow = Gtk.ScrolledWindow()
         routeWindow.set_size_request(400, 80)
-        routeWindow.set_shadow_type(gtk.ShadowType.IN)
-        routeWindow.set_policy(gtk.PolicyType.AUTOMATIC,
-                               gtk.PolicyType.AUTOMATIC)
+        routeWindow.set_shadow_type(Gtk.ShadowType.IN)
+        routeWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
+                               Gtk.PolicyType.AUTOMATIC)
 
         self._uppercasingRoute = False
 
-        self._route = gtk.TextView()
+        self._route = Gtk.TextView()
         self._route.set_tooltip_text(xstr("route_route_tooltip"))
         self._route.set_wrap_mode(WRAP_WORD)
@@ -2511,11 +2511,11 @@
         mainBox.pack_start(routeBox, True, True, 8)
 
-        alternateBox = gtk.HBox()
-
-        label = gtk.Label(xstr("route_altn"))
+        alternateBox = Gtk.HBox()
+
+        label = Gtk.Label(xstr("route_altn"))
         label.set_use_underline(True)
         alternateBox.pack_start(label, True, True, 0)
 
-        self._alternate = gtk.Entry()
+        self._alternate = Gtk.Entry()
         self._alternate.set_width_chars(6)
         self._alternate.connect("changed", self._alternateChanged)
@@ -2525,5 +2525,5 @@
         alternateBox.pack_start(self._alternate, False, False, 8)
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(alternateBox)
@@ -2619,5 +2619,5 @@
 #-----------------------------------------------------------------------------
 
-class SimBriefCredentialsDialog(gtk.Dialog):
+class SimBriefCredentialsDialog(Gtk.Dialog):
     """A dialog window to ask for SimBrief credentials."""
     def __init__(self, gui, userName, password, rememberPassword):
@@ -2632,5 +2632,5 @@
         contentArea = self.get_content_area()
 
-        contentAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        contentAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                          xscale = 0.0, yscale = 0.0)
         contentAlignment.set_padding(padding_top = 4, padding_bottom = 16,
@@ -2639,18 +2639,18 @@
         contentArea.pack_start(contentAlignment, False, False, 0)
 
-        contentVBox = gtk.VBox()
+        contentVBox = Gtk.VBox()
         contentAlignment.add(contentVBox)
 
-        label = gtk.Label(xstr("simbrief_login_failed"))
+        label = Gtk.Label(xstr("simbrief_login_failed"))
         label.set_alignment(0.0, 0.0)
 
         contentVBox.pack_start(label, False, False, 0)
 
-        tableAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        tableAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         tableAlignment.set_padding(padding_top = 24, padding_bottom = 0,
                                    padding_left = 0, padding_right = 0)
 
-        table = gtk.Table(3, 2)
+        table = Gtk.Table(3, 2)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -2660,10 +2660,10 @@
         contentVBox.pack_start(tableAlignment, True, True, 0)
 
-        label = gtk.Label(xstr("simbrief_username"))
+        label = Gtk.Label(xstr("simbrief_username"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 0, 1)
 
-        self._userName = gtk.Entry()
+        self._userName = Gtk.Entry()
         self._userName.set_width_chars(16)
         #self._userName.connect("changed",
@@ -2674,10 +2674,10 @@
         label.set_mnemonic_widget(self._userName)
 
-        label = gtk.Label(xstr("simbrief_password"))
+        label = Gtk.Label(xstr("simbrief_password"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 1, 2)
 
-        self._password = gtk.Entry()
+        self._password = Gtk.Entry()
         self._password.set_visibility(False)
         #self._password.connect("changed",
@@ -2688,5 +2688,5 @@
         label.set_mnemonic_widget(self._password)
 
-        self._rememberButton = gtk.CheckButton(xstr("simbrief_remember_password"))
+        self._rememberButton = Gtk.CheckButton(xstr("simbrief_remember_password"))
         self._rememberButton.set_use_underline(True)
         self._rememberButton.set_tooltip_text(xstr("simbrief_remember_tooltip"))
@@ -2779,8 +2779,8 @@
                                                 xstr("simbrief_setup_chelp"))
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        table = gtk.Table(9, 3)
+        table = Gtk.Table(9, 3)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -2789,10 +2789,10 @@
         self.setMainWidget(alignment)
 
-        label = gtk.Label(xstr("simbrief_username"))
+        label = Gtk.Label(xstr("simbrief_username"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 0, 1)
 
-        self._userName = gtk.Entry()
+        self._userName = Gtk.Entry()
         self._userName.set_width_chars(16)
         self._userName.connect("changed",
@@ -2802,10 +2802,10 @@
         label.set_mnemonic_widget(self._userName)
 
-        label = gtk.Label(xstr("simbrief_password"))
+        label = Gtk.Label(xstr("simbrief_password"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 1, 2)
 
-        self._password = gtk.Entry()
+        self._password = Gtk.Entry()
         self._password.set_visibility(False)
         self._password.connect("changed",
@@ -2815,10 +2815,10 @@
         label.set_mnemonic_widget(self._password)
 
-        self._rememberButton = gtk.CheckButton(xstr("simbrief_remember_password"))
+        self._rememberButton = Gtk.CheckButton(xstr("simbrief_remember_password"))
         self._rememberButton.set_use_underline(True)
         self._rememberButton.set_tooltip_text(xstr("simbrief_remember_tooltip"))
         table.attach(self._rememberButton, 1, 2, 2, 3, ypadding = 8)
 
-        label = gtk.Label(xstr("simbrief_extra_fuel"))
+        label = Gtk.Label(xstr("simbrief_extra_fuel"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
@@ -2831,12 +2831,12 @@
         label.set_mnemonic_widget(self._extraFuel)
 
-        table.attach(gtk.Label("kg"), 2, 3, 3, 4)
-
-        label = gtk.Label(xstr("simbrief_takeoff_runway"))
+        table.attach(Gtk.Label("kg"), 2, 3, 3, 4)
+
+        label = Gtk.Label(xstr("simbrief_takeoff_runway"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 4, 5)
 
-        self._takeoffRunway = gtk.Entry()
+        self._takeoffRunway = Gtk.Entry()
         self._takeoffRunway.set_width_chars(10)
         self._takeoffRunway.set_tooltip_text(xstr("simbrief_takeoff_runway_tooltip"))
@@ -2845,10 +2845,10 @@
         label.set_mnemonic_widget(self._takeoffRunway)
 
-        label = gtk.Label(xstr("simbrief_landing_runway"))
+        label = Gtk.Label(xstr("simbrief_landing_runway"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 5, 6)
 
-        self._landingRunway = gtk.Entry()
+        self._landingRunway = Gtk.Entry()
         self._landingRunway.set_width_chars(10)
         self._landingRunway.set_tooltip_text(xstr("simbrief_takeoff_runway_tooltip"))
@@ -2857,11 +2857,11 @@
         label.set_mnemonic_widget(self._landingRunway)
 
-        label = gtk.Label(xstr("simbrief_climb_profile"))
+        label = Gtk.Label(xstr("simbrief_climb_profile"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 6, 7)
 
-        self._climbProfile = gtk.ComboBox()
-        renderer = gtk.CellRendererText()
+        self._climbProfile = Gtk.ComboBox()
+        renderer = Gtk.CellRendererText()
         self._climbProfile.pack_start(renderer, True)
         self._climbProfile.add_attribute(renderer, "text", 0)
@@ -2870,11 +2870,11 @@
         label.set_mnemonic_widget(self._climbProfile)
 
-        label = gtk.Label(xstr("simbrief_cruise_profile"))
+        label = Gtk.Label(xstr("simbrief_cruise_profile"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 7, 8)
 
-        self._cruiseProfile = gtk.ComboBox()
-        renderer = gtk.CellRendererText()
+        self._cruiseProfile = Gtk.ComboBox()
+        renderer = Gtk.CellRendererText()
         self._cruiseProfile.pack_start(renderer, True)
         self._cruiseProfile.add_attribute(renderer, "text", 0)
@@ -2883,11 +2883,11 @@
         label.set_mnemonic_widget(self._cruiseProfile)
 
-        label = gtk.Label(xstr("simbrief_descent_profile"))
+        label = Gtk.Label(xstr("simbrief_descent_profile"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 8, 9)
 
-        self._descentProfile = gtk.ComboBox()
-        renderer = gtk.CellRendererText()
+        self._descentProfile = Gtk.ComboBox()
+        renderer = Gtk.CellRendererText()
         self._descentProfile.pack_start(renderer, True)
         self._descentProfile.add_attribute(renderer, "text", 0)
@@ -2930,5 +2930,5 @@
                                     (self._descentProfile,
                                      simBriefData.descentProfiles)]:
-            model = gtk.ListStore(str)
+            model = Gtk.ListStore(str)
             for profile in profiles:
                 model.append([profile])
@@ -3053,5 +3053,5 @@
                 message = SimBriefSetupPage.result2Message.get(result,
                                                                "simbrief_result_unknown")
-                dialog = gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
+                dialog = Gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
                                            type = MESSAGETYPE_ERROR,
                                            message_format =
@@ -3155,5 +3155,5 @@
                                               xstr("simbrief_result_title"), "")
 
-        self._alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        self._alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                        xscale = 1.0, yscale = 1.0)
 
@@ -3224,5 +3224,5 @@
 #-----------------------------------------------------------------------------
 
-class FuelTank(gtk.VBox):
+class FuelTank(Gtk.VBox):
     """Widget for the fuel tank."""
     def __init__(self, fuelTank, name, capacity, currentWeight):
@@ -3236,5 +3236,5 @@
         self.expectedWeight = currentWeight
 
-        self._label = label = gtk.Label("<b>" + name + "</b>")
+        self._label = label = Gtk.Label("<b>" + name + "</b>")
         label.set_use_markup(True)
         label.set_use_underline(True)
@@ -3242,5 +3242,5 @@
         label.set_alignment(0.5, 1.0)
 
-        self._tankFigure = gtk.EventBox()
+        self._tankFigure = Gtk.EventBox()
         self._tankFigure.set_size_request(38, 200)
         self._tankFigure.set_visible_window(False)
@@ -3252,5 +3252,5 @@
         self._tankFigure.connect("scroll-event", self._scrolled)
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 1.0)
         alignment.add(self._tankFigure)
@@ -3258,5 +3258,5 @@
         self.pack_start(alignment, True, True, 4)
 
-        self._expectedButton = gtk.SpinButton()
+        self._expectedButton = Gtk.SpinButton()
         self._expectedButton.set_numeric(True)
         self._expectedButton.set_range(0, self.capacity)
@@ -3414,5 +3414,5 @@
         self._fuelTanks = []
         self._fuelTable = None
-        self._fuelAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        self._fuelAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                             xscale = 0.0, yscale = 1.0)
         self.setMainWidget(self._fuelAlignment)
@@ -3470,5 +3470,5 @@
 
         self._fuelTanks = []
-        self._fuelTable = gtk.Grid()
+        self._fuelTable = Gtk.Grid()
         self._fuelTable.set_column_homogeneous(True)
         self._fuelTable.set_row_spacing(4)
@@ -3481,10 +3481,10 @@
             self._fuelTanks.append(fuelTank)
 
-            alignment = gtk.Alignment(xalign = 0.5, yalign = 1.0,
+            alignment = Gtk.Alignment(xalign = 0.5, yalign = 1.0,
                                       xscale = 1.0, yscale = 0.0)
             alignment.add(fuelTank.label)
             self._fuelTable.attach(alignment, index*2, 0, 3, 1)
 
-            alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+            alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                       xscale = 0.0, yscale = 1.0)
             alignment.add(fuelTank)
@@ -3492,5 +3492,5 @@
 
 
-            alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+            alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                       xscale = 1.0, yscale = 0.0)
             alignment.add(fuelTank.expectedButton)
@@ -3607,24 +3607,24 @@
                                            completedHelp = xstr("briefing_chelp"))
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 1.0, yscale = 1.0)
 
-        mainBox = gtk.VBox()
+        mainBox = Gtk.VBox()
         alignment.add(mainBox)
         self.setMainWidget(alignment)
 
-        self._notamsFrame = gtk.Frame()
+        self._notamsFrame = Gtk.Frame()
         self._notamsFrame.set_label(xstr("briefing_notams_init"))
-        scrolledWindow = gtk.ScrolledWindow()
+        scrolledWindow = Gtk.ScrolledWindow()
         scrolledWindow.set_size_request(-1, 128)
         # FIXME: these constants should be in common
-        scrolledWindow.set_policy(gtk.PolicyType.AUTOMATIC,
-                                  gtk.PolicyType.AUTOMATIC)
-        self._notams = gtk.TextView()
+        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                  Gtk.PolicyType.AUTOMATIC)
+        self._notams = Gtk.TextView()
         self._notams.set_editable(False)
         self._notams.set_accepts_tab(False)
-        self._notams.set_wrap_mode(gtk.WrapMode.WORD)
+        self._notams.set_wrap_mode(Gtk.WrapMode.WORD)
         scrolledWindow.add(self._notams)
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 4, padding_bottom = 0,
@@ -3634,20 +3634,20 @@
         mainBox.pack_start(self._notamsFrame, True, True, 4)
 
-        self._metarFrame = gtk.Frame()
+        self._metarFrame = Gtk.Frame()
         self._metarFrame.set_label(xstr("briefing_metar_init"))
-        scrolledWindow = gtk.ScrolledWindow()
+        scrolledWindow = Gtk.ScrolledWindow()
         scrolledWindow.set_size_request(-1, 32)
-        scrolledWindow.set_policy(gtk.PolicyType.AUTOMATIC,
-                                  gtk.PolicyType.AUTOMATIC)
+        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                  Gtk.PolicyType.AUTOMATIC)
 
         self._updatingMETAR = False
 
-        self._metar = gtk.TextView()
+        self._metar = Gtk.TextView()
         self._metar.set_accepts_tab(False)
-        self._metar.set_wrap_mode(gtk.WrapMode.WORD)
+        self._metar.set_wrap_mode(Gtk.WrapMode.WORD)
         self._metar.get_buffer().connect("changed", self._metarChanged)
         self._metar.get_buffer().connect_after("insert-text", self._metarInserted)
         scrolledWindow.add(self._metar)
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 4, padding_bottom = 0,
@@ -3794,8 +3794,8 @@
         self._forwardAllowed = False
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
 
-        table = gtk.Table(9, 24)
+        table = Gtk.Table(9, 24)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -3806,10 +3806,10 @@
         row = 0
 
-        label = gtk.Label(xstr("takeoff_metar"))
+        label = Gtk.Label(xstr("takeoff_metar"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, row, row+1)
 
-        self._metar = gtk.Entry()
+        self._metar = Gtk.Entry()
         self._metar.set_width_chars(40)
         self._metar.set_tooltip_text(xstr("takeoff_metar_tooltip"))
@@ -3823,10 +3823,10 @@
         row += 1
 
-        label = gtk.Label(xstr("takeoff_runway"))
+        label = Gtk.Label(xstr("takeoff_runway"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, row, row+1)
 
-        self._runway = gtk.Entry()
+        self._runway = Gtk.Entry()
         self._runway.set_width_chars(10)
         self._runway.set_tooltip_text(xstr("takeoff_runway_tooltip"))
@@ -3837,10 +3837,10 @@
         row += 1
 
-        label = gtk.Label(xstr("takeoff_sid"))
+        label = Gtk.Label(xstr("takeoff_sid"))
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, row, row+1)
 
-        self._sid = gtk.ComboBox.new_with_model_and_entry(comboModel)
+        self._sid = Gtk.ComboBox.new_with_model_and_entry(comboModel)
 
         self._sid.set_entry_text_column(0)
@@ -3853,5 +3853,5 @@
         row += 1
 
-        label = gtk.Label(xstr("takeoff_v1"))
+        label = Gtk.Label(xstr("takeoff_v1"))
         label.set_use_markup(True)
         label.set_use_underline(True)
@@ -3866,5 +3866,5 @@
         label.set_mnemonic_widget(self._v1)
 
-        self._v1Unit = gtk.Label(xstr("label_knots"))
+        self._v1Unit = Gtk.Label(xstr("label_knots"))
         self._v1Unit.set_alignment(0.0, 0.5)
         table.attach(self._v1Unit, 3, 4, row, row+1)
@@ -3872,5 +3872,5 @@
         row += 1
 
-        label = gtk.Label(xstr("takeoff_vr"))
+        label = Gtk.Label(xstr("takeoff_vr"))
         label.set_use_markup(True)
         label.set_use_underline(True)
@@ -3885,5 +3885,5 @@
         label.set_mnemonic_widget(self._vr)
 
-        self._vrUnit = gtk.Label(xstr("label_knots"))
+        self._vrUnit = Gtk.Label(xstr("label_knots"))
         self._vrUnit.set_alignment(0.0, 0.5)
         table.attach(self._vrUnit, 3, 4, row, row+1)
@@ -3891,5 +3891,5 @@
         row += 1
 
-        label = gtk.Label(xstr("takeoff_v2"))
+        label = Gtk.Label(xstr("takeoff_v2"))
         label.set_use_markup(True)
         label.set_use_underline(True)
@@ -3904,5 +3904,5 @@
         label.set_mnemonic_widget(self._v2)
 
-        self._v2Unit = gtk.Label(xstr("label_knots"))
+        self._v2Unit = Gtk.Label(xstr("label_knots"))
         self._v2Unit.set_alignment(0.0, 0.5)
         table.attach(self._v2Unit, 3, 4, row, row+1)
@@ -3912,5 +3912,5 @@
         self._derateType = acft.DERATE_NONE
 
-        self._derateLabel = gtk.Label()
+        self._derateLabel = Gtk.Label()
         self._derateLabel.set_use_underline(True)
         self._derateLabel.set_markup(xstr("takeoff_derate_tupolev"))
@@ -3918,5 +3918,5 @@
         table.attach(self._derateLabel, 0, 1, row, row+1)
 
-        self._derate = gtk.Alignment()
+        self._derate = Gtk.Alignment()
         table.attach(self._derate, 2, 4, row, row+1)
         self._derateWidget = None
@@ -3927,5 +3927,5 @@
         row += 1
 
-        self._antiIceOn = gtk.CheckButton(xstr("takeoff_antiice"))
+        self._antiIceOn = Gtk.CheckButton(xstr("takeoff_antiice"))
         self._antiIceOn.set_use_underline(True)
         self._antiIceOn.set_tooltip_text(xstr("takeoff_antiice_tooltip"))
@@ -3934,5 +3934,5 @@
         row += 1
 
-        self._rto = gtk.CheckButton(xstr("takeoff_rto"))
+        self._rto = Gtk.CheckButton(xstr("takeoff_rto"))
         self._rto.set_use_underline(True)
         self._rto.set_tooltip_text(xstr("takeoff_rto_tooltip"))
@@ -4168,5 +4168,5 @@
             self._derateLabel.set_sensitive(True)
 
-            self._derateEntry = gtk.Entry()
+            self._derateEntry = Gtk.Entry()
             self._derateEntry.set_width_chars(7)
             self._derateEntry.set_tooltip_text(xstr("takeoff_derate_boeing_tooltip"))
@@ -4175,8 +4175,8 @@
             self._derateLabel.set_mnemonic_widget(self._derateEntry)
 
-            self._derateUnit = gtk.Label("%")
+            self._derateUnit = Gtk.Label("%")
             self._derateUnit.set_alignment(0.0, 0.5)
 
-            self._derateWidget = gtk.Table(3, 1)
+            self._derateWidget = Gtk.Table(3, 1)
             self._derateWidget.set_row_spacings(4)
             self._derateWidget.set_col_spacings(16)
